Parcourir la source

Support TMCStepper with MKS Robin Pro (#17908)

Jason Smith il y a 4 ans
Parent
révision
703e97b7af
Aucun compte lié à l'adresse e-mail de l'auteur

+ 1
- 0
.github/workflows/test-builds.yml Voir le fichier

@@ -59,6 +59,7 @@ jobs:
59 59
         - FYSETC_S6
60 60
         - malyan_M300
61 61
         - mks_robin_lite
62
+        - mks_robin_pro
62 63
 
63 64
         # Put lengthy tests last
64 65
 

+ 16
- 0
buildroot/share/tests/mks_robin_pro-tests Voir le fichier

@@ -0,0 +1,16 @@
1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for MKS Robin Pro
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+use_example_configs Mks/Robin_Pro
10
+opt_set SDCARD_CONNECTION LCD
11
+opt_set X_DRIVER_TYPE TMC2209
12
+opt_set Y_DRIVER_TYPE TMC2130
13
+exec_test $1 $2 "MKS Robin Pro with TMC Drivers "
14
+
15
+# cleanup
16
+restore_configs

+ 3
- 2
platformio.ini Voir le fichier

@@ -558,11 +558,12 @@ platform      = ststm32
558 558
 board         = genericSTM32F103ZE
559 559
 extra_scripts = buildroot/share/PlatformIO/scripts/mks_robin_pro.py
560 560
 build_flags   = !python Marlin/src/HAL/STM32F1/build_flags.py
561
-  ${common.build_flags} -std=gnu++14 -DSTM32_XL_DENSITY
561
+  ${common.build_flags} -std=gnu++14 -DHAVE_SW_SERIAL -DSS_TIMER=4 -DSTM32_XL_DENSITY
562 562
 build_unflags = -std=gnu++11
563 563
 src_filter    = ${common.default_src_filter} +<src/HAL/STM32F1>
564 564
 lib_deps      = ${common.lib_deps}
565
-lib_ignore    = Adafruit NeoPixel, SPI, TMCStepper
565
+  SoftwareSerialM=https://github.com/FYSETC/SoftwareSerialM/archive/master.zip
566
+lib_ignore    = Adafruit NeoPixel, SPI
566 567
 
567 568
 #
568 569
 # MKS Robin E3D (STM32F103RCT6) and

Chargement…
Annuler
Enregistrer